package BankSystemGUI;

import java.util.ArrayList;

public class User {
	
	private String name;
	private String vorname;
	private int alter;
	private int kundennummer;
	private static int KUNDENNUMMER = 1000;
	private ArrayList<Konto> konten;
	
	public User(String name, String vorname) {
		this.name = name;
		this.vorname = vorname;
		this.kundennummer = KUNDENNUMMER++;
		this.konten = new ArrayList<>();
	}
	
	public void konto_Hinzufuegen(Konto neuesKonto) {
		this.konten.add(neuesKonto);
	}
	
	public ArrayList<Konto> getKonten(){
		return konten;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVorname() {
		return vorname;
	}

	public void setVorname(String vorname) {
		this.vorname = vorname;
	}


	public int getKundennummer() {
		return kundennummer;
	}

	public void setKundennummer(int kundennummer) {
		this.kundennummer = kundennummer;
	}

	@Override
	public String toString() {
		return "User [name=" + name + ", vorname=" + vorname + ", alter=" + alter + ", kundennummer=" + kundennummer
				+ "]";
	}
}
